################################################################################
# Be input with some variables
################################################################################

BELIBS := -lCore -lCint -lRIO -lTree -lNet -lThread -lHist -lMatrix -lMathCore -lGpad -lGraf -lPhysics -lGeom #-lAculData -lDetectors -lTELoss

# Add inputs and outputs from these tool invocations to the build variables 
BE_HEADERS += \
$(BE)/BeEvent.h \
$(BE)/BePureEvent.h \
$(BE)/BeReaction.h \
$(BE)/BeWork.h \
$(BE)/BinaryReaction.h \
$(BE)/BeAnalysis.h \
$(BE)/linkdef.h

BECPP_SRCS += \
$(BE)/BeCint.cpp \
$(BE)/BeEvent.cpp \
$(BE)/BePureEvent.cpp \
$(BE)/BeReaction.cpp \
$(BE)/BeWork.cpp \
$(BE)/BinaryReaction.cpp \
$(BE)/BeAnalysis.cpp

BEOBJS += \
$(BE)/BeCint.o \
$(BE)/BeEvent.o \
$(BE)/BePureEvent.o \
$(BE)/BeReaction.o \
$(BE)/BeWork.o \
$(BE)/BinaryReaction.o \
$(BE)/BeAnalysis.o

BECPP_DEPS += \
$(BE)/BeCint.d \
$(BE)/BeEvent.d \
$(BE)/BePureEvent.d \
$(BE)/BeReaction.d \
$(BE)/BeWork.d \
$(BE)/BinaryReaction.d \
$(BE)/BeAnalysis.d
