/*
 * BePureEvent.cpp
 *
 *  Created on: 6.6.2011
 *      Author: vratik
 */

#include "BePureEvent.h"

ClassImp(BePureEvent);

BePureEvent::BePureEvent() {

}

BePureEvent::~BePureEvent() {

}

void BePureEvent::FillEvent(BeEvent *expevent) {


//	fn[NOESEC];					//doubtful

//	fCalCorr[NOESEC];		//doubtful

	for (Int_t i = 0; i < NOTEL; i++) {
			//time information from Tx2
		for (Int_t k = 0; k < NOESEC; k++) {
			fTau[i][k] = expevent->fTau[i][k];
		}//for k NOESEC


			//hits
		fNOHits[i] = expevent->fNOHits[i];
		fNOaHits[i] = expevent->fNOaHits[i];
		fNOpHits[i] = expevent->fNOpHits[i];
		fNOtHits[i] = expevent->fNOtHits[i];

		for (Int_t j = 0; j < NOSELHITS; j++) {
			fSN[i][j] = expevent->fSN[i][j];
			fTauSN[i][j] = expevent->fTauSN[i][j];
			fRN[i][j] = expevent->fRN[i][j];
			fE1Sec[i][j] = expevent->fE1Sec[i][j];
			fE1Ring[i][j] = expevent->fE1Ring[i][j];
			fE2Sec[i][j] = expevent->fE2Sec[i][j];
			fE3Sec[i][j] = expevent->fE3Sec[i][j];
			fTheta[i][j] = expevent->fTheta[i][j];
			fPhi[i][j] = expevent->fPhi[i][j];
			fhTau[i][j] = expevent->fhTau[i][j];
			fT[i][j] = expevent->fT[i][j];
			fP[i][j] = expevent->fP[i][j];
			fID[i][j] = expevent->fID[i][j];

		}//for j NOHITS
	}//for i NOTEL


	for (Int_t i = 0; i < 2*NOSELHITS; i++) {
		fPM[i] = expevent->fPM[i];
	}


	fNOA = expevent->fNOA;
	fNOP = expevent->fNOP;

	//laboratory system
	//6Be
	fBeLab = expevent->f6BeLab;
	fBeThetaLab = expevent->f6BeThetaLab;
	fBePhiLab = expevent->f6BePhiLab;
	fBePcLab = expevent->f6BePcLab;
	fBeIM = expevent->f6BeIM;
	//neutron
	fNLab = expevent->fNLab;
	fNThetaLab = expevent->fNThetaLab;
	fNPhiLab = expevent->fNPhiLab;
	fNPcLab = expevent->fNPcLab;
	//proton1
	fP1Lab = expevent->fP1Lab;
	fP1ThetaLab = expevent->fP1ThetaLab;
	fP1PhiLab = expevent->fP1PhiLab;
	fP1PcLab = expevent->fP1PcLab;
	//proton2
	fP2Lab = expevent->fP2Lab;
	fP2ThetaLab = expevent->fP2ThetaLab;
	fP2PhiLab = expevent->fP2PhiLab;
	fP2PcLab = expevent->fP2PcLab;
	//alpha
	fALab = expevent->fALab;
	fAThetaLab = expevent->fAThetaLab;
	fAPhiLab = expevent->fAPhiLab;
	fAPcLab = expevent->fAPcLab;
	//protons relative kinetic energy
	fPPTrel = expevent->fPPTrel;

	//CM system 6Li-p
	//6Be
	fBeCM1 = expevent->f6BeCM1;
	fBeThetaCM1 = expevent->f6BeThetaCM1;
	fBePhiCM1 = expevent->f6BePhiCM1;
	fBePcCM1 = expevent->f6BePcCM1;

	//CM system 6Be
	//6Be
	fBeCM = expevent->f6BeCM;
	fBeThetaCM = expevent->f6BeThetaCM;
	fBePhiCM = expevent->f6BePhiCM;
	fBePcCM = expevent->f6BePcCM;
	//neutron
	fNCM = expevent->fNCM;
	fNThetaCM = expevent->fNThetaCM;
	fNPhiCM = expevent->fNPhiCM;
	fNPcCM = expevent->fNPcCM;
	//proton1
	fP1CM = expevent->fP1CM;
	fP1ThetaCM = expevent->fP1ThetaCM;
	fP1PhiCM = expevent->fP1PhiCM;
	fP1PcCM = expevent->fP1PcCM;
	//proton2
	fP2CM = expevent->fP2CM;
	fP2ThetaCM = expevent->fP2ThetaCM;
	fP2PhiCM = expevent->fP2PhiCM;
	fP2PcCM = expevent->fP2PcCM;
	//alpha
	fACM = expevent->fACM;
	fAThetaCM = expevent->fAThetaCM;
	fAPhiCM = expevent->fAPhiCM;
	fAPcCM = expevent->fAPcCM;

		//general information
	fQLiP = expevent->fQLiP;
	fTpp = expevent->fTpp;
	fTapp = expevent->fTapp;
	fCosThetaTk = expevent->fCosThetaTk;
	fTap = expevent->fTap;
	fTpap = expevent->fTpap;
	fCosThetaYk = expevent->fCosThetaYk;

	return;
}

void BePureEvent::Reset() {
	//temporarily useless

	return;
}
